Subject: Re: 1.3.10: ttyslot dying, Windows 2000 Server
From: Len Giambrone <[email-masked]>
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: [email-masked]
Date: 14 Jun 2002 18:09:52 -0400

"Larry Hall (RFK Partners, Inc)" <[email-masked]> writes:

> At 01:22 PM 6/14/2002, Len Giambrone wrote:
> 
> >I run a combination of long perl (ActiveState perl, not cygwin perl), and bash
> >scripts to do many sundry things including downloading files, untarring files,
> >etc.
> >
> >After things are finished, I try to do some cleanup.
> >
> >About 30% of the time, the system hangs at 100% CPU, and I notice that
> >drwtsn32.exe is running (Just in Time Debugging is enabled).  My scripts are
> >attempting to rm a file, but the file is currently opened by drwtsn32, so it
> >spins forever until I kill it.
> >
> >When I use drwtsn32 to look at what caused the crash, it tells me that
> >"ttyslot" is the culprit.  By looking at logs, it's clear that ttyslot is
> >dying in a variety of standard unix programs, like md5sum, tar, etc.
> 
> 
> What's ttyslot?  Answering this and understanding more about it might help
> you solve your problem.  It's clear this isn't a Cygwin problem per-se 
> because a search of http://cygwin.com/packages/ for ttyslot turns up nothing.
> I'll leave it as an exercise for the reader to understand why this indicates
> it's not a Cygwin issue. ;-)

Perhaps I should have said "ttyslot()".

It's a function in the cygwin.dll.  From cygwin-1.3.10-1/winsup/cygwin/tty.cc:

extern "C"
int
ttyslot (void)
{
  if (NOTSTATE (myself, PID_USETTY))
    return -1;
  return myself->ctty;
}

From http://www.mcsr.olemiss.edu/cgi-bin/man-cgi?ttyslot+3:

DESCRIPTION

     ttyslot returns the index of the current user's entry in the
     /var/adm/utmp file.  This is accomplished by calling ttyname(3C) to
     determine which device the calling program has associated with the
     standard input, the standard output, or the error output (0, 1 or 2).
     This device name is then searched for in the /var/adm/utmp file.

			-Len

> 
> 
> 
> <snip>
> 
> 
> >Path:   c:\WINNT\system32
> >        c:\WINNT
> >        c:\perl\bin
> >        c:\bin
> >        c:\contrib\bin
> >        c:\WINNT\System32\Wbem
> >        c:\perl\bin
> >        c:\ntreskit
> 
>        ^^^^^^^^^^^^
> 
> Here's a likely problem.  Cygwin binaries must be first in the path when
> running Cygwin binaries (at least).
> 
> 
> >        c:\usr\local\akamai\bin
> >        c:\usr\local\akamai\lib
> >        c:\sbin
> >        c:\usr\bin
> >        c:\WINNT\System32\Wbem
> >        c:\PROGRA~1\DIALOGIC\bin
> >        c:\bin
> >        c:\root\bin
> >        c:\usr\local\bin
> >        c:\root\bin
> >        c:\usr\local\bin
> >
> 
> <snip>
> 
> 
> >a:  fd           N/A    N/A                    
> >c:  hd  NTFS   17500Mb  63% CP CS UN PA FC     
> >e:  cd           N/A    N/A                    
> >
> >.     /cygdrive  user    textmode,noumount
> >c:    /          system  binmode
> 
> ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> 
> Oops!  You didn't install with setup.exe!  Thirty lashes with a 
> wet noodle!  
> 
> Sorry, you're now banned from this list... ;-)
> 
> Seriously though, your installation is obviously non-standard.  This list
> discourages questions from those with a non-standard installation, at least 
> if the poster cannot prove that their problem is not configuration dependent. 
> So, you should either wipe your current installation and reinstall with 
> setup.exe or prove to us that your problem is Cygwin-related.  Otherwise, I'm 
> afraid this is OT for this list.
> 
> 
> 
> Larry Hall                              [email-masked]
> RFK Partners, Inc.                      http://www.rfk.com
> 838 Washington Street                   (508) 893-9779 - RFK Office
> Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/